std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes

`#include <hashtable_policy.h>`

Inheritance diagram for std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >:
[legend]

## Public Types

typedef std::ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef const _Value * | pointer
typedef const _Value & | reference
typedef _Value | value_type

## Public Member Functions

| _Node_const_iterator (__node_type *__p) noexcept
| _Node_const_iterator (const _Node_iterator< _Value, __constant_iterators, __cache > &__x) noexcept
void | _M_incr () noexcept
reference | operator* () const noexcept
_Node_const_iterator & | operator++ () noexcept
_Node_const_iterator | operator++ (int) noexcept
pointer | operator-> () const noexcept

## Public Attributes

__node_type * | _M_cur

## Detailed Description

template<typename _Value, bool __constant_iterators, bool __cache>
struct std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >

Node const_iterators, used to iterate through all the hashtable.

Definition at line 369 of file hashtable_policy.h.

## Member Typedef Documentation

## difference_type

template<typename _Value , bool __constant_iterators, bool __cache>

typedef std::ptrdiff_t std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::difference_type

Definition at line 378 of file hashtable_policy.h.

## iterator_category

template<typename _Value , bool __constant_iterators, bool __cache>

typedef std::forward_iterator_tag std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::iterator_category

Definition at line 379 of file hashtable_policy.h.

## pointer

template<typename _Value , bool __constant_iterators, bool __cache>

typedef const _Value* std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::pointer

Definition at line 381 of file hashtable_policy.h.

## reference

template<typename _Value , bool __constant_iterators, bool __cache>

typedef const _Value& std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::reference

Definition at line 382 of file hashtable_policy.h.

## value_type

template<typename _Value , bool __constant_iterators, bool __cache>

typedef _Value std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::value_type

Definition at line 377 of file hashtable_policy.h.

## Constructor & Destructor Documentation

## _Node_const_iterator() [1/3]

template<typename _Value , bool __constant_iterators, bool __cache>

std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::_Node_const_iterator | ( |  | ) |

inline noexcept

Definition at line 384 of file hashtable_policy.h.

## _Node_const_iterator() [2/3]

template<typename _Value , bool __constant_iterators, bool __cache>

std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::_Node_const_iterator | ( | __node_type * | __p | ) |

inline explicit noexcept

Definition at line 388 of file hashtable_policy.h.

## _Node_const_iterator() [3/3]

template<typename _Value , bool __constant_iterators, bool __cache>

std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::_Node_const_iterator | ( | const _Node_iterator< _Value, __constant_iterators, __cache > & | __x | ) |

inline noexcept

Definition at line 391 of file hashtable_policy.h.

## Member Function Documentation

## _M_incr()

void std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >::_M_incr | ( |  | ) |

inline noexcept inherited

Definition at line 298 of file hashtable_policy.h.

## operator*()

template<typename _Value , bool __constant_iterators, bool __cache>

reference std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::operator* | ( |  | ) | const

inline noexcept

Definition at line 396 of file hashtable_policy.h.

## operator++() [1/2]

template<typename _Value , bool __constant_iterators, bool __cache>

_Node_const_iterator & std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::operator++ | ( |  | ) |

inline noexcept

Definition at line 404 of file hashtable_policy.h.

## operator++() [2/2]

template<typename _Value , bool __constant_iterators, bool __cache>

_Node_const_iterator std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::operator++ | ( | int |  | ) |

inline noexcept

Definition at line 411 of file hashtable_policy.h.

## operator->()

template<typename _Value , bool __constant_iterators, bool __cache>

pointer std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >::operator-> | ( |  | ) | const

inline noexcept

Definition at line 400 of file hashtable_policy.h.

## Member Data Documentation

## _M_cur

__node_type* std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >::_M_cur

inherited

Definition at line 292 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h